#include <stdint.h>

/**
 * \file
 *
 * \brief Convert unsigned values to and from byte-arrays
 *
 * ...
 *
 * \author Lelanthran Krishna Manickum
 */

/**
 * \brief Convert an unsigned 16-bit integer to a byte-array
 *
 * Converts the specified unsigned 16-bit value \a src to a
 * ...
 */
uint8_t *xendian_uint16_to_bytes (uint8_t *dst, uint16_t src)
{
   // This documentation does not work
   dst[0] = (src >> 8) & 0xff;
   dst[1] =  src       & 0xff;
   return dst;
}

/**
 * \brief Convert an unsigned 16-bit integer to a byte-array
 *
 * Converts the specified unsigned 16-bit value \a src to a
 * ...
 */
uint8_t *xendian_int16_to_bytes (uint8_t *dst, uint16_t src)
{
   // This documentation works
   dst[0] = (src >> 8) & 0xff;
   dst[1] =  src       & 0xff;
   return dst;
}

// I invoke doxygen with 'doxygen' (no arguments) in this directory. I
// check only the html output.
